
## Affirmative-Negative questions

An alternative way of forming a question is to juxtapose the affirmative
and negative forms of the predicative verb or adjective:

    她是中國人嗎﹖becomes 她是不是中國人﹖
    你忙嗎﹖becomes 你忙不忙﹖
    你認識他嗎﹖becomes 你認識不認識他﹖

1.  If the verb or adjective is composed of a single word, then repeat
    the single word; if two or more words, then repeat them all:

        忙不忙, 認識不認識, 介紹不介紹

2.  If the predicative verb takes an object, it is usually only the verb
    that gets repeated, not the noun following it:

        你喝不喝茶﹖
        你去不去中國﹖

3.  Sometimes if the object of the verb is not long, one can use the
    form of "V + object + 不 + V ?" as well, although this is not as
    common:

        你喝茶不喝茶﹖
        她去中國不去﹖

4.  As in questions with interrogative words (誰, 什麼, etc),
    affirmative-negative questions do not take 嗎 at the end.

5.  If an adverb such as 常, 都, 也 or 很 comes /before/ the predicative
    verb or adjective, do not use the affirmative-negative form but use
    嗎 instead:

        你們都去中國嗎﹖
        but not 你們都去不去中國﹖

        他常喝咖啡嗎﹖
        but not 他常喝不喝咖啡﹖

    Notice, however, that this rule applies only when those adverbs come
    /before/ the predicative verbs or adjectives. Compare:

    1.  她很忙嗎﹖ but not 她很忙不忙﹖

    2.  她是很好大夫嗎﹖ 她是不是很好的大夫﹖

    The second instance is acceptable because 很 comes /after/ the
    predicative verb 是.

6.  If there is more than one verb in a sentence, usually only the
    /first/ verb gets the affirmative-negative form in the question:

        你去商店買紙嗎﹖becomes 你去不去商店買紙﹖
        他們歡迎我來嗎﹖ becomes 他們歡迎不歡迎我來﹖
