
## Grammar notes

1.  Measure words

    In Chinese, when a noun is modified by numerals, demonstrative
    pronouns such as 這 or 那, or interrogative pronouns such as 哪 or
    幾, a specific measure word should be placed between the noun and
    its modifier(s):

        三本書, 十五個學生, 那個老師, 哪個圖書館, 幾本詞典

2.  幾 and 多少

    Both of these can be used to mean "how many" or "how much". Whereas
    幾 should be used with a measure word, 多少 can be used either with
    or without a measure word for the noun it modifies.

        你有幾本詞典﹖
        你有多少(本)詞典﹖

    The measure word 本 is a must for the first sentence, but only
    optional in the second.

    Also, when 幾 is used, the expected answer is usually under 10,
    whereas 多少 can be used whether one expects a large or small answer.

        你們大學有多少學生﹖
        你家有幾個人﹖

3.  Chinese verbs that take direct and indirect objects

    As in English, some verbs in Chinese can take two objects: direct
    object (usually a thing) and indirect object (usually a person).

        王老師教我們語法。

    In this sentence, 教 is a verb that takes 我們 as the indirect
    object and 法語 as the direct object. Generally the indirect goes
    before the direct object. Some other verbs that work the same way
    include 還, 告訴 and 問.

    Not all Chinese verbs can take two objects: it would be wrong to say
    他買我一本書 (He bought me a book), or 她寫我一封信 (She wrote me a
    letter). The correct way of saying these would be to use 給, as in
    他給我買一本書 and 她給我寫一封信.

4.  Adjectives as modifiers

    When an adjective modifies a noun, it is placed directly before the
    noun as in English:

        新書
            new book
        好朋友
            good friend

    However, when the adjective modifier is made up of two or more
    syllables, the particle 的 is usually inserted between the modifier
    and the noun it modifies:

        很新的書
            very new book
        很好的朋友
            very good friend
