
## Position words

Words such as 上邊, 左邊, 前邊, 中間, 對面 are position words. Some of
the basic syllables are:

 	上 - up
左 - left 	中 - middle	 右 - right
 	下 - down

前 - front	 	 裡 - in
後 - back	 	 外 - out

Usually, add 邊 to make "on the left", "above", "outside" etc.

Position words can be used in two ways. Compare:

1.  Noun (+ 的) + position word:

        車(的)外邊
            outside the car
        房子(的)後邊
            behind the house
        桌子(的)對面
            opposite the table

2.  Position word + 的 + noun (here the 的 is /mandatory/).

        外邊的車
            the car outside (i.e. the car which is outside)
        後邊的房子
            the house behind (the house which is behind)
        對面的桌子
            the opposite table (the table which is opposite / across the
            way)

Notes:

1.  When 上邊, 下邊, 裡邊 and 外邊 are modified by other nouns, the
    character 邊 can be omitted:

        房子(的)裡(邊)
            inside the house
        桌子(的)上(邊)
            on the table
        教室(的)外(邊)
            outside the classroom

2.  Do /not/ use 裡邊 in the following two cases:
    1.  After geographical names such as 中國, 北京 etc:

            她在北京學習漢語。
                She studies Chinese in Beijing.
            but not 她在北京裡邊學習漢語。

            美國有很多大學。
                There are many universities in America.
            but not 美國裡邊有很多大學。

    2.  In a phrase of the form "在 + place, building or organisation":

            我在銀行工作。
                I work in a bank.
            but not 我在銀行裡邊工作。

            他們在閱覽室看書。
                They are reading books in the reading-room.
            but not 他們在閱覽室裡邊看書。
