
## Progressive aspect of an action

To show an action which is, was or will be going on, use one of the
following patterns:

    她在休息。
        She is resting.
    她正休息。
    她正在休息。

    她休息呢。
    她在休息呢。
    她正休息呢。
    她正在休息呢。

Notes:

1.  All the above sentences mean the same, stylistic differences excepted.

2.  The progressive aspect can be applied not only to the present, but
    also to past and future actions:

        她現在正在休息。
            She is resting now. /present progressive/
        我去的時候﹐她正在休息。
            When I went there, she was resting. /past progressive/
        我明天去看她的時候﹐她一定正在休息。
            When I go to see her tomorrow, she will surely be resting.
            /future progressive/

3.  As shown above, either 在, 正 or 正在 can be placed before a verb to
    indicate the progressive aspect of an action.

4.  Alternatively, 呢 can be placed at the end of the sentence to
    perform the same function. Sometimes 呢 can be used together with
    在, 正 or 正在.

5.  The negative form of the progressive aspect is indicated by 沒有,
    not 不, before the verb; and it can be shortened to 沒 alone if it
    is not at the end of a sentence or a short answer. Otherwise the
    full form of 沒有 must be used:

        她沒(有)休息﹐她在看報。
        她在休息嗎﹖沒有﹐她在看報。(or simply 沒有)

6.  If both the 在 of the progressive aspect and the 在 of location
    exist in a sentence, only one should be used:

        她正在房間里休息。
        but not 她正在在房間里休息。
