
## The use of the Complement of Degree


### What is a complement?

A complement is a word or phrase attached after a verb to explain or
complete the meaning of the action. Complements are used to show
duration, extent, quantity, degree, result, direction or possibility of
an action. Complements always appear *after* the verbs they modify.

We know that in Chinese modifiers are generally placed before the words
they modify; so why do complements appear after? It's because Chinese
word order often observes the time sequence in which an action occurs.
Notice, for example:

    昨天晚上我們從書店去電影院。
        Yesterday evening we went to the cinema from the bookshop.

Since one has to leave the bookshop before going to the cinema, the
Chinese sentence follows this time sequence. Similarly, since a verbal
action has to take place first, before one can see its extent or result,
the complement placed after the verb observes this time sequence.


### The complement of degree

This is used to show the extent or degree of an action. Normally
adjectives are used for the complement, and the structural particle 得
is used to connect the verb and its complement:

    他學習得怎麼樣﹖
        How is he studying?
    他學習得很好。
        He's studying very well.

The basic patterns for the complement of degree are as follows:

1.  Verb without object: V + 得 + adjective

        你工作得不錯。

2.  Verb with object: V + O + V + 得 + adjective

        我妹妹唱民歌唱得很好。

3.  Verb with preposed object: O + V + 得 + adjective

        他們中文學得很好。

Place 不 /before the adjective/ to make the negative:

4.  V + 得 + 不 + adjective

        她歌唱得不好﹐ 舞也跳得不好。

Questions are formed as follows:

1.  . . . 得 adjective 不 adjective?

        你開車開得快不快﹖

2.  . . . 得怎麼樣﹖

        你中文學得怎麼樣﹖

3.  . . . 得 adjective 嗎﹖

        你游泳游得好嗎﹖

Note that the complement of degree cannot be used with verbs such as 有,
在 or 是, since those verbs normally do not denote actions.
