
## The use of optative verbs

Optative or auxiliary verbs are those placed before other verbs to
express intention, wishes, possibility etc.

1.  To express /subjective wish/, /desire/ or /request/:

    1.  要 + verb = to want to

            我要喝橘子水。

    2.  想 + verb = would like to

            你想看電影嗎﹖

2.  To express /objective necessity/:

    1.  要 + verb = to have to (especially in questions)

            我明天要來嗎﹖
                Do I have to come tomorrow?
            我們要去了。
                We have to go.

    2.  不用 + verb = don't have to

            你明天不用來。
                You don't have to come tomorrow.

3.  To express /ability/ or /skill acquired/:

    1.  能 + verb = can, be able to

            你現在能看中文報紙嗎﹖

    2.  可以 + verb = can, be able to

            你們一個星期可以學幾課﹖

    3.  會 + verb = can, be able to

            他們都會游泳嗎﹖

4.  To express /ability depending on circumstances/:

    1.  能 + verb = can, be able to

            你明天能來嗎﹖

    2.  可以 + verb = can, be able to

            你今天晚上可以1給他打電話嗎﹖

    Note, in both cases use 不能 for negative sentences.

5.  To express /permission/:

    1.  能 + verb = may, be permitted to

            我能在這兒停車嗎﹖
            你不能 (or 不可以) 在這兒停車。

    2.  可以 + verb = may, be permitted to

            我可以在這兒吸煙嗎﹖
            你不可以 (or 不能) 在這兒吸煙。

6.  To express /possibility/ or /probability/:

     .  會 + verb = be likely to, will probably

            你明天會再來嗎﹖
            今天晚上不會下雨。

7.  To express /need arising from moral or factual necessity/:

    1.  應該 + verb = should, ought to

            你們學得不錯﹐應該去中國。
            他們不應該翻譯那本書。

Note:

1.  To make a negation, put the negative word 不 or 沒有 before the
    optative verb:

        他們不想給圖書館打電話。

2.  To form an affirmative-negative question, alternate the optative
    verb instead of the main verb in the sentence:

        你會不會唱中國民歌﹖
        but not 你會唱不唱中國民歌﹖

3.  It is possible to use more than one optative verb in a sentence:

        你是北京人﹐應該會唱京劇。
