
## Word usage: 或者, 還是

Both of these conjunctions can be translated as "or" in English, but
they differ in usage: in general, 或者 is used in non-interrogative
sentences to indicate a choice:

    我妹妹想研究音樂或者文學。

還是, on the other hand, is more often than not reserved for alternative
questions:

    你上午去﹐還是下午去﹖

It can also be used in subordinate clauses with verbs such as 知道, 告訴
etc:

請告訴我這個人是老師還是學生﹖
我不知道她是老師還是學生。

In cases in which both 或者 and 還是 can appear in questions, there are
some subtle differences in their anticipations and tones:

     1. A: 你想去中國還是日本﹖
        B: 我想去中國。

     2. A: 你想去中國或者日本嗎﹖
        B: 我想去﹐我兩個地方都想去。

In dialogue 1, A asks an alternative question which anticipates a choice
from the answer. The two terms with 還是 are mutually exclusive. In
dialogue 2, the question is a general one using 嗎 at the end. It does
not anticipate a strict choice from the answer, so B can give a general
answer: 我想去 -- yes, I do -- and then add his more specific thought:
我兩個地方都想去. The two items with 或者 in the question are therefore
not mutually exclusive.

Sometimes, however, 還是 can also be used in a non-interrogative
sentence. For instance:

    去看朋友﹐還是去看電影﹐他一時(??)不定主意。

Notice in the sentence the tone is still somehow interrogative,
compelling 他 to make a choice. In contrast, 或者 in this case can only
convey a sort of explanatory note:

    你去﹐還是她來﹐你明天一定要作決定。 (interrogative)
    或者你去﹐或者她來﹐沒有其他選擇。 (explanatory)
