
## Use of the modal particle 了


### Basic concept

The modal particle 了 is placed at the end of a sentence to indicate
that the event referred to took place in the past. The difference
between 了 as modal particle and 了 to indicate perfect aspect is that
the latter only shows the completion of the verb, whereas the former
shows the completion of the whole sentence or event, implying some
_change of situation_.

    他買了書了。

The first 了 in the sentence above indicates only the completion of the
action of 買書, whereas the second 了 marks some change of situation on
the part of 他 as a result of the completion of the book-buying process:
originally he did not have the book, but now he has.


### Basic patterns

(Please compare against the patterns for the perfect aspect in the
previous section.)

1.  Affirmative sentence

        Subject + verb (+ object) + 了
        e.g. 他們看足球賽了。

2.  Negative sentence (note 了 is dropped here)

        Subject + 沒 (有) + verb (+ object)
        e.g. 他們沒看足球賽。

3.  Interrogative sentence

        Subject + verb + object + 了沒有﹖
        or Subject + verb + object + 了嗎﹖
        or Subject + verb + 沒 + verb + object﹖ (here the verb is
        usually monosyllabic)
        e.g. 他們看足球賽了沒有﹖
        他們看足球賽了嗎﹖
        他們看沒看足球賽﹖


      Notes

1.  As is obvious, when there is no object, one cannot tell the perfect
    aspect 了 from the modal particle 了. In such a case, 了 can be
    regarded as fulfilling both functions:

        她來了。 我們懂了。

2.  A simple statement about events that happened in the past does not
    require a 了 at the end of the sentence:

        我昨天下午看足球賽﹐晚上沒出去。
