
## Grammar notes: 在, 這兒 and 那兒

 1. 在 (to be at/in...) functions as a verb.

    To express the location or existence of something or somebody, use
    the following pattern:

        S + 在 + place/location word or phrase
        e.g. A: 你的地圖在哪兒﹖
        B: 我的地圖在那兒。

        A: 你爸爸媽媽在哪兒﹖
        B: 他們在中國。

    If the location or place is known or obvious, it can be omitted:

        A: 古波在嗎﹖
            Is Gubo in [or: here]?
        B: 他不在﹐他在學生宿舍。
            He is not here. He is at the students' dormitory.


 2. Nouns / personal pronouns + 這兒/那兒 as place words.

        e.g. A: 地圖在哪兒﹖
        B: 在我這兒。(or 在我那兒)

        A: 你的車在哪兒﹖
        B: 我的車在學生宿舍那兒。

    The choice of 這兒 and 那兒 depends on the distance between the
    object and the speaker. If it is close to the speaker, use 這兒; if
    not, use 那兒.

 3. The word order for Chinese place words

    Unlike English, Chinese place words start with the larger ones and
    proceed to the smaller ones. Hence the sentence "She lives in room
    423, 4th floor at the student dorm at the college" will be 她住學院
    學生宿舍四層四二三號。 Notice the exactly reverse order here, which
    is applicable to the address used when writing letters as well.

 4. To live (stay) at a place

    Most often one uses 住 to indicate that one lives or stays at a
    certain place. There are several patterns for the use of 住. For
    example, to say "I live here", one can have the following:

        S + 住 + place word (我住這兒)
        S + 住在 + place word (我住在這兒)
        S + 在 + place word + 住 (我在這兒住)

    All three sentences have the same meaning.

 5. Reading numbers for phone, room, building, ID, etc

    Unlike English, these sorts of Chinese numbers are read out digit by
    digit:

        English: # 1452 (number fourteen fifty-two)
        Chinese: # 1452 (一四五二號)
